use v6;

use Test;
use lib <lib>;

use HTML::BoreDOM;

plan 1;

my ($html, $expect);

$html =
    h("p", :class<a>,
     h("p", :class<b>,
      h("p", :class<c>, "foo")));

$expect = Q:to<EOF>;
<p class="a">
<p class="b">
<p class="c">foo</p>
</p>
</p>
EOF

is $html, $expect, "nested subroutine calls";

done-testing;
